call cleanup

rem next line assumes that ALL inputs are in input folder
del *.har
del *.sl4
rem next line forces all GSS files to be-recompiled
del *.gs?

tablo -pgs convsup3
if errorlevel 1 goto err
gemsim -cmf convsup3.cmf
if errorlevel 1 goto err

tablo -pgs exim
if errorlevel 1 goto err
gemsim -cmf exim.cmf
if errorlevel 1 goto err

tablo -pgs step2
if errorlevel 1 goto err
gemsim -cmf step2.cmf
if errorlevel 1 goto err
 
rem   make ORANI-G database from BASIC, TAX and MARGINS matrices
tablo -pgs mkorng
if errorlevel 1 goto err
gemsim -cmf mkorng.cmf
if errorlevel 1 goto err

rem   creates REGSUPP file used in TERM data jobs  
tablo -pgs mkregsupp
if errorlevel 1 goto err
gemsim -cmf mkregsupp.cmf
if errorlevel 1 goto err

rem goto skip
rem test run ORANI-G 185 sectors
tablo -sti oranigs.sti  
if errorlevel 1 goto err
gemsim -cmf oranigsr185.cmf
if errorlevel 1 goto err
:skip

dir/od *.har *.sl4
echo FINISHED OK

rem copy national.har ..\regdata 
rem copy regsupp.har  ..\regdata 

goto endbat

:err
echo PROBLEM
dir/od *.log
echo PROBLEM -- see last log above
goto endbat

:endbat
